/***************************************************************************
 *      Created 2005  eCo Software                                         *
 *                                                                         *
 *      DISCLAIMER OF WARRANTIES.  The following [enclosed] code is        *
 *      sample code created by eCo Software. This sample code is not part  *
 *      of any standard or eCo Software product and is provided to you     *
 *      solely for the purpose of assisting you in the development of your *
 *      applications.  The code is provided "AS IS", without               *
 *      warranty of any kind. eCo Software shall not be liable for any     *
 *      damages arising out of your use of the sample code, even if they   *
 *      have been advised of the possibility of such damages.              *
 *-------------------------------------------------------------------------*/
#define INCL_DOSPROCESS
#include <os2.h>
#include "acpi.h"
#include "acpiapi.h"
#include "stdio.h"
#include "stdlib.h"
#include "string.h"

void main(void)
{
 APIRET rc;
 ACPI_API_HANDLE Hdl;
 ULONG State[2]; 

   rc=AcpiStartApi(&Hdl);
   if(rc)
     {
     printf("Error start acpi rc=%d 0x%x\n",rc,rc);
     fflush(stdout);
     return;
     }
   printf("Start rc=%d Wait Press BUTTON  10000ms\n",rc);
   rc=AcpiWaitPressButton(&Hdl,SET_POWERBUTTON,10000,State);
   printf("Wait Power rc=%d State=%d ACPI State %x\n",rc,State[0],State[1]);
   printf("Start rc=%d Wait Press SLEEP  10000ms\n",rc);
   rc=AcpiWaitPressButton(&Hdl,SET_SLEEPBUTTON,10000,State);
   printf("Wait Sleep rc=%d State=%d ACPI State %x\n",rc,State[0],State[1]);
   rc=AcpiEndApi(&Hdl);
   printf("End rc=%d\n",rc);
}
