/***************************************************************************
 *      Created 2005  eCo Software                                         *
 *                                                                         *
 *      DISCLAIMER OF WARRANTIES.  The following [enclosed] code is        *
 *      sample code created by eCo Software. This sample code is not part  *
 *      of any standard or eCo Software product and is provided to you     *
 *      solely for the purpose of assisting you in the development of your *
 *      applications.  The code is provided "AS IS", without               *
 *      warranty of any kind. eCo Software shall not be liable for any     *
 *      damages arising out of your use of the sample code, even if they   *
 *      have been advised of the possibility of such damages.              *
 *-------------------------------------------------------------------------*/
#define INCL_WINWORKPLACE
#define INCL_DOSFILEMGR
#define INCL_DOSERRORS
#define INCL_SAADEFS
#define INCL_WIN
#include <os2.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <acpi.h>
#include <acpiapi.h>

void main(void)
 {
 APIRET rc;
 ACPI_API_HANDLE Hdl;
 HAB   hab      = NULLHANDLE;   /* Window handle */
 HMQ   hmq      = NULLHANDLE;   /* Message queue handle */
 BOOL  fSuccess = 0;            /* Win API success indicator */

   rc=AcpiStartApi(&Hdl);
   if(rc)
     {
     printf("Error start acpi rc=%d 0x%x\n",rc,rc);
     fflush(stdout);
     exit(1);
     }

//     hab = WinInitialize( 0 );
//     hmq = WinCreateMsgQueue( hab, 0 );
 
     /* Prevent our program from hanging the shutdown.  If this call is
        omitted, the system will wait for us to do a WinDestroyMsgQueue. */
 
//     fSuccess = WinCancelShutdown( hmq, TRUE );
 
     /* Shutdown the system! */
 
//     printf("System Shutdown will now be attempted...\n");
//     fSuccess = WinShutdownSystem( hab, hmq );
 
//   rc=DosShutdown(0L);
/*
   if(rc)
     printf("DosShutdown rc=%d\n",rc);
*/
   AcpiGoToSleep(&Hdl,ACPI_STATE_S5);
 }
